TF_EncryptorImpl< SCHEME_OPTIONS > Class Template Reference

Trapdoor Function (TF) encryptor options. More...

`#include <pubkey.h>`

Inheritance diagram for TF_EncryptorImpl< SCHEME_OPTIONS >:

## Additional Inherited Members

Public Types inherited from TF_ObjectImpl< TF_EncryptorBase, SCHEME_OPTIONS, SCHEME_OPTIONS::PublicKey >
typedef SCHEME_OPTIONS::PublicKey | KeyClass
Public Types inherited from TF_ObjectImplBase< TF_EncryptorBase, SCHEME_OPTIONS, SCHEME_OPTIONS::PublicKey >
typedef SCHEME_OPTIONS | SchemeOptions
typedef SCHEME_OPTIONS::PublicKey | KeyClass
Public Member Functions inherited from TF_ObjectImpl< TF_EncryptorBase, SCHEME_OPTIONS, SCHEME_OPTIONS::PublicKey >
const KeyClass & | GetKey () const
KeyClass & | AccessKey ()
Public Member Functions inherited from TF_ObjectImplBase< TF_EncryptorBase, SCHEME_OPTIONS, SCHEME_OPTIONS::PublicKey >
PublicKey & | AccessPublicKey ()
const PublicKey & | GetPublicKey () const
PrivateKey & | AccessPrivateKey ()
const PrivateKey & | GetPrivateKey () const
const KeyClass & | GetTrapdoorFunction () const
PK_MessageAccumulator * | NewSignatureAccumulator (RandomNumberGenerator &rng) const
PK_MessageAccumulator * | NewVerificationAccumulator () const
Public Member Functions inherited from AlgorithmImpl< TF_EncryptorBase, SCHEME_OPTIONS::AlgorithmInfo >
std::string | AlgorithmName () const
| The algorithm name.
Public Member Functions inherited from TF_EncryptorBase
void | Encrypt (RandomNumberGenerator &rng, const byte *plaintext, size_t plaintextLength, byte *ciphertext, const NameValuePairs &parameters=g_nullNameValuePairs) const
| Encrypt a byte string.
Public Member Functions inherited from TF_CryptoSystemBase< PK_Encryptor, TF_Base< RandomizedTrapdoorFunction, PK_EncryptionMessageEncodingMethod > >
bool | ParameterSupported (const char *name) const
size_t | FixedMaxPlaintextLength () const
size_t | FixedCiphertextLength () const
Public Member Functions inherited from PK_FixedLengthCryptoSystemImpl< PK_Encryptor >
size_t | MaxPlaintextLength (size_t ciphertextLength) const
size_t | CiphertextLength (size_t plaintextLength) const
Public Member Functions inherited from PK_Encryptor
virtual BufferedTransformation * | CreateEncryptionFilter (RandomNumberGenerator &rng, BufferedTransformation *attachment=NULL, const NameValuePairs &parameters=g_nullNameValuePairs) const
| Create a new encryption filter.
Public Member Functions inherited from PublicKeyAlgorithm
CryptoMaterial & | AccessMaterial ()
| Retrieves a reference to a Public Key.
const CryptoMaterial & | GetMaterial () const
| Retrieves a reference to a Public Key.
Public Member Functions inherited from Algorithm
| Algorithm (bool checkSelfTestStatus=true)
| Interface for all crypto algorithms.
virtual std::string | AlgorithmProvider () const
| Retrieve the provider of this algorithm.
Public Member Functions inherited from Clonable
virtual Clonable * | Clone () const
| Copies this object.
Static Public Member Functions inherited from AlgorithmImpl< TF_EncryptorBase, SCHEME_OPTIONS::AlgorithmInfo >
static std::string | StaticAlgorithmName ()
| The algorithm name.

## Detailed Description

template<class SCHEME_OPTIONS>
class TF_EncryptorImpl< SCHEME_OPTIONS >

Trapdoor Function (TF) encryptor options.

Template Parameters

  SCHEME_OPTIONS | scheme options class

Definition at line 664 of file pubkey.h.

The documentation for this class was generated from the following file:

- pubkey.h